Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(253)

Unified Diff: bin/fetch-skps

Issue 1919133003: bin/fetch-skps: print instruction on error (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 4 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | no next file » | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: bin/fetch-skps
diff --git a/bin/fetch-skps b/bin/fetch-skps
index 75f73d5f31488b1a0e6db7b216ba4fc2b7dac1e1..bac8e2004ac075546565ad507628f6a52d0ca0ce 100755
--- a/bin/fetch-skps
+++ b/bin/fetch-skps
@@ -1,16 +1,4 @@
#!/bin/sh
-# Instructions for authenticating.
-#
-# Install the utilities you need:
-# curl https://sdk.cloud.google.com | bash
-#
-# Authenticate
-# gcloud auth login
-#
-# Follow instructions on web page.
-#
-# Set Project
-# gcloud config set project google.com:skia-buildbots
# Copies the latest bot-generated SKP set to ./skps.
@@ -18,4 +6,22 @@ set -x
set -e
VERSION=`cat $(dirname $0)/../SKP_VERSION`
-gsutil -m cp -r gs://chromium-skia-gm/playback_$VERSION/skps .
+if ! gsutil -m cp -r gs://chromium-skia-gm/playback_$VERSION/skps . ; then
+ cat >&2 <<EOF
+
+ Instructions for authenticating.
+
+ Install the utilities you need:
+ curl https://sdk.cloud.google.com | bash
+
+ Authenticate
+ gcloud auth login
+
+ Follow instructions on web page.
+
+ Set Project
+ gcloud config set project google.com:skia-buildbots
+
+EOF
+exit 1
+fi
« no previous file with comments | « no previous file | no next file » | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698